Bug 1140767 - plplot FTBFS failed for ppc64le arch
Summary: plplot FTBFS failed for ppc64le arch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plplot
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-09-11 16:08 UTC by Menanteau Guy
Modified: 2014-09-23 04:37 UTC (History)
1 user (show)

Fixed In Version: plplot-5.10.0-11.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:37:54 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2014-09-11 16:08:35 UTC
Tests failed during build of plplot-5.10.0-10 on ppc64le arch
Failing ppc koji mass rebuild:
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=261900


Build succeed applying following patch on plplot.spec:

--- plplot.spec.ori
+++ plplot.spec
@@ -464,10 +464,10 @@ cd fedora
 export octaveopts=--no-window-system
 #Hack
 export ITCL_LIBRARY=%{_libdir}/tcl8.5/itcl3.4
-# Exclude ocaml from ppc/ppc64, arm
+# Exclude ocaml from ppc/ppc64/ppc64le, arm
 # The *qt tests requires an X server
 LOGFILE=`mktemp`
-%ifarch ppc ppc64
+%ifarch ppc ppc64 ppc64le
 ctest -V -E 'ocaml|qt' &> $LOGFILE || (cat $LOGFILE && exit 1)
 %else
 %ifarch %{arm} aarch64

Comment 1 Fedora Update System 2014-09-12 21:39:18 UTC
plplot-5.10.0-11.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/plplot-5.10.0-11.fc21

Comment 2 Fedora Update System 2014-09-13 16:35:37 UTC
Package plplot-5.10.0-11.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plplot-5.10.0-11.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10815/plplot-5.10.0-11.fc21
then log in and leave karma (feedback).

Comment 3 Menanteau Guy 2014-09-15 12:00:54 UTC
plplot-5.10.0-11.fc21 scratch builds succeed on:
primary
http://koji.fedoraproject.org/koji/taskinfo?taskID=7577726
secondary
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2102389

Comment 4 Fedora Update System 2014-09-23 04:37:54 UTC
plplot-5.10.0-11.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.